Skip to main content
POST
/
v0
/
business
/
{business_id}
/
customers
Create a new customer
curl --request POST \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "external_id": "<string>",
  "email": "<string>",
  "billing_address": {
    "street_1": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "street_2": "<string>"
  },
  "shipping_address": {
    "street_1": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "street_2": "<string>"
  },
  "phone_number": "<string>"
}
'
{
  "data": {
    "name": "<string>",
    "id": "<string>",
    "external_id": "<string>",
    "email": "<string>",
    "billing_address": {
      "street_1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>",
      "street_2": "<string>"
    },
    "shipping_address": {
      "street_1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>",
      "street_2": "<string>"
    },
    "phone_number": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

Body

application/json
name
string
required

The name of the customer

Maximum string length: 255
external_id
string | null

The external ID of the customer

Maximum string length: 255
email
string | null

The email address of the customer

Maximum string length: 255
billing_address
Address · object

The billing address of the customer

shipping_address
Address · object

The shipping address of the customer

phone_number
string | null

The phone number of the customer

Maximum string length: 32

Response

Successful Response

data
Customer · object
required